<?php
/**********************************************************************
    Copyright (C) FrontAccounting, LLC.
	Released under the terms of the GNU General Public License, GPL, 
	as published by the Free Software Foundation, either version 3 
	of the License, or (at your option) any later version.
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
    See the License here <http://www.gnu.org/licenses/gpl-3.0.html>.
***********************************************************************/
class services_app extends application
{
    function __construct()
    {
        parent::__construct("service", _($this->help_context = "&Services")); 

        $this->add_module(_("Transactions")); 
        $this->add_lapp_function(0, _("Service &Complains/ Requests Entry"), "services/service_complains.php?", 'SA_SERVICE_COMPLAIN', MENU_TRANSACTION);
        $this->add_lapp_function(0, _("Job &Card Entry"), "services/job_order_entry.php?", 'SA_JOB_CARD_ENTRY', MENU_TRANSACTION);
        $this->add_lapp_function(0, _("Create Job Gate Pass"), "services/create_job_gate_pass.php?", 'SA_CREATE_GATE_PASS', MENU_TRANSACTION);
        $this->add_lapp_function(0, _("&Outside Material Requisitions"),"inventory/outside_material_requisitions.php?jo_id=0", 'SA_OUTSIDE_MATERIAL_REQ', MENU_TRANSACTION); 
        $this->add_lapp_function(0, _("&Direct Purchase Requisitions (Purchase To Stock)"),"purchasing/direct_purchase_requisitions.php?jo_id=0", 'SA_DIRECT_PURCHASE_REQ', MENU_TRANSACTION); 
        $this->add_lapp_function(0, _("Budget to &Budget Transfers"), "inventory/budget_to_budget_transfers.php?", 'SA_BUDGET_TO_BUDGET_TRANSFER', MENU_TRANSACTION);
        $this->add_lapp_function(0, "",""); 
        $this->add_lapp_function(0, _("Personal Material &Requisitions"), "inventory/personal_material_requisitions.php?pmr_no=0", 'SA_PERSONAL_MATERIAL_REQ', MENU_TRANSACTION);
        $this->add_lapp_function(0, _("&Outstanding Personal Material Requisitions"), "inventory/inquiry/outstanding_personal_material_requisitions.php?", 'SA_PERSONAL_MATERIAL_REQ', MENU_TRANSACTION);
        $this->add_lapp_function(0, _("Outstanding Personal Material &Transfers"), "inventory/inquiry/outstanding_personal_material_transfers.php?", 'SA_PERSONAL_MATERIAL_TRANSFER', MENU_TRANSACTION);
        $this->add_lapp_function(0, "",""); 
        $this->add_lapp_function(0, _("Outstanding Ouside Material &Requisitions"),"inventory/inquiry/outstanding_outside_material_requisitions.php?", 'SA_OUTSIDE_MATERIAL_REQ', MENU_INQUIRY);
        $this->add_lapp_function(0, _("Outstanding Ouside Material &Receipts"),"inventory/inquiry/outstanding_outside_material_receipts.php?", 'SA_OUTSIDE_MATERIAL_RECEIPT', MENU_INQUIRY);
        $this->add_lapp_function(0, "",""); 
        $this->add_lapp_function(0, _("&Outstanding Direct Purchase Requisition"),"purchasing/inquiry/outstanding_direct_purchase_requisitions.php?", 'SA_DIRECT_PURCHASE_REQ', MENU_INQUIRY);
        $this->add_lapp_function(0, _("&Outstanding Quality Checks"),"purchasing/inquiry/outstanding_quality_checks.php?", 'SA_QUALITY_CHECK', MENU_INQUIRY);
        $this->add_lapp_function(0, _("&Outstanding Direct Purchase Receipts"),"purchasing/inquiry/outstanding_direct_purchase_receipts.php?", 'SA_DIRECT_PURCHASE_RECEIPT', MENU_INQUIRY);
        $this->add_lapp_function(0, "",""); 
        $this->add_lapp_function(0, _("&Outstanding Job Material Requisitions"), "inventory/inquiry/outstanding_job_material_requisitions.php?Class=3", 'SA_JOB_MATERIAL_REQ', MENU_REPORT);
        $this->add_lapp_function(0, _("&Outstanding Job Material Issue Requisitions"), "inventory/inquiry/outstanding_job_material_issue_requisitions.php?Class=3", 'SA_JOB_MATERIAL_ISSUE_REQ', MENU_REPORT);
        
        $this->add_rapp_function(0, _("Approve Job Material &Requisitions"), "inventory/inquiry/approve_job_material_requisitions.php?Class=3", 'SA_JOB_MATERIAL_REQ', MENU_REPORT);
        $this->add_rapp_function(0, _("Approve Job Material &Issue Requisitions"), "inventory/inquiry/approve_job_material_issue_requisitions.php?Class=3", 'SA_JOB_MATERIAL_ISSUE_REQ', MENU_REPORT);
        $this->add_rapp_function(0, _("Approve Job Material &Issues"), "inventory/inquiry/approve_job_material_issues.php?Class=3", 'SA_JOB_MATERIAL_ISSUE', MENU_REPORT);
        $this->add_rapp_function(0, _("Approve Job Material &Returns"), "inventory/inquiry/approve_job_material_returns.php?Class=3", 'SA_JOB_MATERIAL_RETURN', MENU_REPORT);
        $this->add_rapp_function(0, "","");
        $this->add_rapp_function(0, _("Approve Personal Material &Requisitions"),"inventory/inquiry/approve_personal_material_requisitions.php?Class=3", 'SA_PERSONAL_MATERIAL_REQ', MENU_REPORT);
        $this->add_rapp_function(0, _("Approve Personal Material &Transfers"),"inventory/inquiry/approve_personal_material_transfers.php?Class=3", 'SA_PERSONAL_MATERIAL_TRANSFER', MENU_REPORT);
        $this->add_rapp_function(0, _("Approve Personal Material Transfer &Returns"),"inventory/inquiry/approve_personal_material_transfer_returns.php?Class=3", 'SA_PERSONAL_MATERIAL_TRANSFER_RETURN', MENU_REPORT);
        $this->add_rapp_function(0, _("Approve &Personal Material Issues"),"inventory/inquiry/approve_personal_material_issues.php?Class=3", 'SA_PERSONAL_MATERIAL_ISSUE', MENU_REPORT);
        $this->add_rapp_function(0, "","");
        $this->add_rapp_function(0, _("Approve Outside Material &Requisitions"), "inventory/inquiry/approve_outside_material_requisitions.php?Class=3", 'SA_OUTSIDE_MATERIAL_REQ', MENU_REPORT);
        $this->add_rapp_function(0, _("Approve Outside Material &Receiptns"), "inventory/inquiry/approve_outside_material_receipts.php?Class=3", 'SA_OUTSIDE_MATERIAL_RECEIPT', MENU_REPORT);
        $this->add_rapp_function(0, _("Approve Outside Material &Returns"), "inventory/inquiry/approve_outside_material_returns.php?Class=3", 'SA_OUTSIDE_MATERIAL_RETURN', MENU_REPORT);
        $this->add_rapp_function(0, "",""); 
        $this->add_rapp_function(0, _("Approve &Direct Purchase Requisitions"), "purchasing/inquiry/approve_direct_purchase_requisitions.php?Class=3", 'SA_DIRECT_PURCHASE_REQ', MENU_REPORT);
        $this->add_rapp_function(0, _("Approve &Quality Checks"),"purchasing/inquiry/approve_quality_checks.php?Class=3", 'SA_QUALITY_CHECK', MENU_REPORT);
        $this->add_rapp_function(0, _("Approve Direct Purchase &Receipts"),"purchasing/inquiry/approve_direct_purchase_receipts.php?Class=3", 'SA_DIRECT_PURCHASE_RECEIPT', MENU_REPORT);
        $this->add_rapp_function(0, _("Approve Direct Purchase &Returns"),"purchasing/inquiry/approve_direct_purchase_returns.php?Class=3", 'SA_DIRECT_PURCHASE_RETURN', MENU_REPORT);
        $this->add_rapp_function(0, "",""); 
        $this->add_rapp_function(0, _("Approve &Material Lists"), "inventory/inquiry/approve_material_lists.php?Class=3", 'SA_MATERIAL_LIST', MENU_REPORT);

        
        $this->add_module(_("Inquiries and Reports")); 
        $this->add_lapp_function(1, _("&Service Complains/ Requests Inquiry"), "services/inquiry/service_complains_inquiry.php?Class=3", 'SA_SERVICE_COMPLAIN_INQ', MENU_REPORT);
        $this->add_lapp_function(1, _("Service &Bookings Inquiry"), "services/inquiry/service_bookings_inquiry.php?Class=3", 'SA_SERVICE_BOOKING_INQ', MENU_REPORT);
        $this->add_lapp_function(1, _("&Maintenance Schedule Inquiry"), "services/inquiry/maintenance_schedule_inquiry.php?Class=3", 'SA_MAINTENANCE_SCHEDULE_INQ', MENU_REPORT);
        $this->add_lapp_function(1, "","");
        $this->add_lapp_function(1, _("&Job Card Inquiry"), "services/inquiry/job_order_inquiry.php?Class=3", 'SA_JOB_CARD_INQ', MENU_REPORT);
        $this->add_lapp_function(1, _("&My Pending Jobs Inquiry"), "services/inquiry/my_pending_jobs_inquiry.php?Class=3", 'SA_JOB_CARD_INQ', MENU_REPORT);
        $this->add_lapp_function(1, _("&Material Lists Inquiry"), "inventory/inquiry/material_lists_inquiry.php?Class=3", 'SA_MATERIAL_LISTS_INQ', MENU_REPORT);
        $this->add_lapp_function(1, _("Job Card &Labour Inquiry"), "services/inquiry/job_order_labour_inquiry.php?Class=3", 'SA_JOB_CARD_LABOUR_INQ', MENU_REPORT);
        $this->add_lapp_function(1, _("Job Card &Activities Inquiry"), "services/inquiry/job_order_activities_inquiry.php?Class=3", 'SA_JOB_CARD_ACTIVITIES_INQ', MENU_REPORT);
        $this->add_lapp_function(1, "",""); 
        $this->add_lapp_function(1, _("&Job Manual Costs and Returns Inquiry"), "inventory/inquiry/job_manual_costs_and_returns_inquiry.php?Class=3", 'SA_BUDGET_TO_BUDGET_TRANSFER_INQ', MENU_REPORT);
        $this->add_lapp_function(1, "","");
        $this->add_lapp_function(1, _("&Budget To Budget Transfers Inquiry"), "inventory/inquiry/budget_to_budget_transfers_inquiry.php?Class=3", 'SA_BUDGET_TO_BUDGET_TRANSFER_INQ', MENU_REPORT);
        $this->add_lapp_function(1, "","");
        $this->add_lapp_function(1, _("Job Card &Status View"), "services/inquiry/job_order_status_view.php?Class=3", 'SA_JOB_CARD_STATUS_VIEW', MENU_REPORT);
        $this->add_lapp_function(1, _("Job Card &Cost View"), "services/inquiry/job_order_cost_view.php?Class=3", 'SA_JOB_CARD_COST_VIEW', MENU_REPORT);
        
        $this->add_rapp_function(1, _("Job Material &Requisitions Inquiry"), "inventory/inquiry/job_material_requisitions_inquiry.php?Class=3", 'SA_JOB_MATERIAL_REQ_ING', MENU_REPORT);
        $this->add_rapp_function(1, _("Job Material &Issue Requisitions Inquiry"), "inventory/inquiry/job_material_issue_requisitions_inquiry.php?Class=3", 'SA_JOB_MATERIAL_ISSUE_REQ_INQ', MENU_REPORT);
        $this->add_rapp_function(1, _("Job Material &Issues and Returns Inquiry"), "inventory/inquiry/job_material_issues_and_returns_inquiry.php?Class=3", 'SA_JOB_MATERIAL_ISSUE_RETURN_INQ', MENU_REPORT);
        $this->add_rapp_function(1, "",""); 
        $this->add_rapp_function(1, _("Personal Material &Requisitions Inquiry"), "inventory/inquiry/personal_material_requisitions_inquiry.php?Class=3", 'SA_PERSONAL_MATERIAL_REQ_INQ', MENU_REPORT);
        $this->add_rapp_function(1, _("Personal Material &Transfers Inquiry"), "inventory/inquiry/personal_material_trasfers_inquiry.php?Class=3", 'SA_PERSONAL_MATERIAL_TRANSFER_INQ', MENU_REPORT);
        $this->add_rapp_function(1, _("Personal Material Transfer &Returns Inquiry"), "inventory/inquiry/personal_material_trasfer_returns_inquiry.php?Class=3", 'SA_PERSONAL_MATERIAL_TRANSFER_RETURN_INQ', MENU_REPORT);
        $this->add_rapp_function(1, _("Personal Material &Issues Inquiry"), "inventory/inquiry/personal_material_issues_inquiry.php?Class=3", 'SA_PERSONAL_MATERIAL_ISSUE_RETURN_INQ', MENU_REPORT);
        $this->add_rapp_function(1, _("Personal Material &Returns Inquiry"), "inventory/inquiry/personal_material_returns_inquiry.php?Class=3", 'SA_PERSONAL_MATERIAL_ISSUE_RETURN_INQ', MENU_REPORT);
        $this->add_rapp_function(1, "",""); 
        $this->add_rapp_function(1, _("&Outside Material Requisitions Inquiry"), "inventory/inquiry/outside_material_requisitions_inquiry.php?Class=3", 'SA_OUTSIDE_MATERIAL_REQ_ING', MENU_REPORT);
        $this->add_rapp_function(1, _("Outside Material &Receipts Inquiry"), "inventory/inquiry/outside_material_receipts_inquiry.php?Class=3", 'SA_OUTSIDE_MATERIAL_RECEIPT_INQ', MENU_REPORT);
        $this->add_rapp_function(1, _("Outside Material &Returns Inquiry"), "inventory/inquiry/outside_material_returns_inquiry.php?Class=3", 'SA_OUTSIDE_MATERIAL_RETURN_ING', MENU_REPORT);
        $this->add_rapp_function(1, "","");
        $this->add_rapp_function(1, _("Direct Purchase &Requisition Inquiry"),"purchasing/inquiry/direct_purchase_requisitions_inquiry.php?", 'SA_DIRECT_PURCHASE_REQ_INQ', MENU_INQUIRY);
        $this->add_rapp_function(1, _("&Quality Checks Inquiry"),"purchasing/inquiry/quality_checks_inquiry.php?", 'SA_QUALITY_CHECK_INQ', MENU_INQUIRY);
        $this->add_rapp_function(1, _("Direct Purchase &Receipts Inquiry"),"purchasing/inquiry/direct_purchase_receipts_inquiry.php?", 'SA_DIRECT_PURCHASE_RECEIPT_RETURN_INQ', MENU_INQUIRY);
        $this->add_rapp_function(1, _("Direct Purchase &Returns Inquiry"),"purchasing/inquiry/direct_purchase_returns_inquiry.php?", 'SA_DIRECT_PURCHASE_RECEIPT_RETURN_INQ', MENU_INQUIRY);
        $this->add_rapp_function(1, "","");
        $this->add_rapp_function(1, _("&Salvage Returns Inquiry"),"inventory/inquiry/salvage_returns_inquiry.php?", 'SA_SALVAGE_RETURN_INQ', MENU_INQUIRY);
        $this->add_rapp_function(1, "",""); 
        $this->add_rapp_function(1, _("Service &Reports"), "reporting/reports_main.php?Class=3", 'SA_SERVICE_REPORTS', MENU_REPORT);

       
        
        $this->add_module(_("Maintenance")); 
        $this->add_lapp_function(2, _("Change Job Card &Owner"), "services/manage/change_job_card_owner.php?", 'SA_CHANGE_JOB_CARD_OWNER', MENU_MAINTENANCE);

        $this->add_extensions();
    }
}


